#include <SPI.h>

#define SLAVESELECTPIN	(15)

void setup()
{
	Serial.begin( 9600 );

	pinMode( SLAVESELECTPIN, OUTPUT );

	SPI.begin();
	SPI.setBitOrder( MSBFIRST );	// most-significant bit first
}

void loop()
{
	byte byteMSB;
	byte byteLSB;
	unsigned long ulCh0;
	unsigned long ulCh1;
	
	// ch0
	digitalWrite( SLAVESELECTPIN, LOW );
	byteMSB = SPI.transfer(0b01101000);		// Start, SGL, Ch0, MBSF
	byteLSB = SPI.transfer(0b00000000);
	digitalWrite( SLAVESELECTPIN, HIGH );
	// 上位ビットと下位ビットを連結し、10ビット分取り出す
	ulCh0 = (( byteMSB << 8 ) + byteLSB ) & 0b0000001111111111;

	// ch1
	digitalWrite( SLAVESELECTPIN, LOW );
	byteMSB = SPI.transfer(0b01111000);		// Start, SGL, Ch1, MBSF
	byteLSB = SPI.transfer(0b00000000);
	digitalWrite( SLAVESELECTPIN, HIGH );
	// 上位ビットと下位ビットを連結し、10ビット分取り出す
	ulCh1 = (( byteMSB << 8 ) + byteLSB ) & 0b0000001111111111;

	Serial.print( "Ch0 : " );
	Serial.println( ulCh0 );
	Serial.print( "Ch1 : " );
	Serial.println( ulCh1 );

	delay( 1000 );
}
